Run Extract Template
curl --request POST \
--url https://sdk.nimbleway.com/v2/extract/templates/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"params": {},
"template": "<string>",
"formats": [],
"localization": false
}
'import requests
url = "https://sdk.nimbleway.com/v2/extract/templates/run"
payload = {
"params": {},
"template": "<string>",
"formats": [],
"localization": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({params: {}, template: '<string>', formats: [], localization: false})
};
fetch('https://sdk.nimbleway.com/v2/extract/templates/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"browser_actions": {
"results": [
{
"duration": 1,
"error": "<string>",
"result": "<unknown>"
}
],
"success": true,
"total_duration": 1
},
"cookies": [
"<unknown>"
],
"eval": [
"<unknown>"
],
"fetch": [
"<unknown>"
],
"headers": {},
"html": "<string>",
"links": [
"<string>"
],
"markdown": "<string>",
"network_capture": [
{
"filter": {
"validation": false,
"wait_for_requests_count": 0,
"resource_type": "document",
"status_code": 349.5,
"url": {
"type": "exact",
"value": "<string>"
},
"wait_for_requests_count_timeout": 123
},
"results": [
{
"request": {
"headers": {},
"method": "<string>",
"url": "<string>",
"body": "<string>"
},
"response": {
"body": "<string>",
"headers": {},
"status": 123,
"status_text": "<string>"
}
}
],
"errorMessage": "<string>"
}
],
"pages_html": [
"<string>"
],
"parsing": {
"entities": {},
"status": "<string>"
},
"redirects": [
{
"status_code": 349.5,
"url": "<string>"
}
],
"screenshots": [
"<unknown>"
]
},
"metadata": {
"agent": "<string>",
"driver": "<string>",
"localization_id": "<string>",
"query_duration": 123,
"query_time": "<string>",
"response_parameters": "<unknown>",
"tag": "<string>"
},
"task_id": "<string>",
"url": "<string>",
"debug": {
"performance_metrics": {},
"proxy_total_bytes_usage": 1,
"transformed_output": "<unknown>",
"userbrowser": "<unknown>"
},
"pagination": {
"next_page_params": {}
},
"status_code": 123,
"warnings": [
"<string>"
]
}{
"msg": "<string>",
"status": "<string>"
}Run Extract Template
Execute Extract Template Realtime Endpoint
POST
/
v2
/
extract
/
templates
/
run
Run Extract Template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for executing an Extraction Template
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The status of the task.
Available options:
success, skipped, fatal, error, postponed, ignored, rejected, blocked Unique identifier for the task.
The final URL.
Show child attributes
Show child attributes
Pagination information if applicable.
- object
- object[]
Show child attributes
Show child attributes
The HTTP status code of the task.
List of warnings generated during the task.
Was this page helpful?
⌘I